> For the complete documentation index, see [llms.txt](https://api.drugnet.com.gh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.drugnet.com.gh/reference/api-rate-limit.md).

# API Rate Limit

Rate limiting restricts the number of requests clients can make to the API within a specific time window. This helps prevent abuse and ensures a consistent experience for all users.

#### Rate Limiting Parameters

* **Maximum Requests**: 100 requests per minute.
* **Time Window**: Requests are counted over a 1-minute sliding window.

Rate Limit Exceeded

If a client exceeds the rate limit, the API will respond with an HTTP status code 901 `Too Many Requests`, along with the following error message:

```
{
  "error": {
    "success": false
    "code": 901,
    "message": "Rate limit exceeded. Please try again later."
  }
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.drugnet.com.gh/reference/api-rate-limit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
